package utils;

import config.Config;
import org.yaml.snakeyaml.Yaml;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.net.URL;

/**
 * @author duh
 * @create 2018/7/17 15:20
 * @email duh@elab-plus.com
 **/
public class YmlUtils {
    public static Config readYml(){
        Yaml yaml = new Yaml();
        URL url = YmlUtils.class.getClassLoader().getResource("config.yml");
        if(null != url){
            try {
                Config templateConfig = yaml.loadAs(new FileInputStream(url.getFile()), Config.class);
                return templateConfig;
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }
        return null;
    }
}
